确定给定样条曲线是否为平面。 支持的平台:仅窗口 属性值只读:是的 类型:布尔
言论没有额外的评论。 例子工 务 局: Sub Example_IsPlanar() ' This example creates a Spline object in model space and ' determines whether the Spline is planar Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double, endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim UserMessage As String ' Define the Spline object startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0: fitPoints(3) = 5 fitPoints(4) = 5: fitPoints(5) = 0: fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 ' Create new Spline object Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ThisDrawing.Application.ZoomAll ' Display whether or not new Spline is planar UserMessage = IIf(splineObj.IsPlanar, "is planar", "is not planar") MsgBox "The new Spline " & UserMessage End Sub Visual LISP: (vl-load-com) (defun c:Example_IsPlanar() ;; This example creates a Spline object in model space and ;; determines whether the Spline is planar (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the Spline object (setq startTan (vlax-3d-point 0.5 0.5 0) endTan (vlax-3d-point 0.5 0.5 0) fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8))) (vlax-safearray-fill fitPoints '(0 0 0 5 5 0 10 0 0 ) ) ;; Create new Spline object (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) ;; Display whether or not new Spline is planar (setq UserMessage (if (= (vla-get-IsPlanar splineObj) :vlax-true) "is planar" "is not planar")) (alert (strcat "The new Spline " UserMessage)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:27
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.